import urllib.request
import serial
import time
import glob


modemPath = glob.glob("/dev/tty.usbmodem*") # osx asigns a new number to the modem, we find that number with the glob function
mi = modemPath[0] # the glob function returns a list so we extract our number
beforeScore = 0 # to compare the previous score in order to know if the team has scored
ser = serial.Serial(mi, 9600) #initializes our serial communication
time.sleep(2) # ample time to make sure we are connected

while 1 == 1:#infinite loop
    for line in urllib.request.urlopen("http://www.nhl.com/ice/scores.htm"): #check the scores live online
        sourceStr = str( line, encoding='utf8')#formating the source code to string
        if 'canadiens"><!--' in sourceStr:#unique text that appears before the teams current total (you can change this to another team name, just see how they are listed in the nhl.com/ice/scores.htm source)
            myWant = sourceStr
            li = myWant.split("""total">""", 2)#cutting the string, zeroing in on our score
            lo = li[2].split("homeTeam", 1)# unique text when the team we are looking for is the away team
            le = lo[0].rsplit("</td>", 1)#last cut
            scored = int(float(le[0]))#our score
            if scored > beforeScore :
                time.sleep(2) # delay before announcing goal / may vary with the station you are watching
                beforeScore = scored #reset our comparitive score checker
                ser.write(str(scored).encode())#write to the serial
    time.sleep(2) # delay before checking for goal

#2013 Carlo Gentile http://carlogent.com

